## mlv 0.6.705-1

=== debian/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# packaging/debian/debian/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/mlv
pkgincludedir = $(includedir)/mlv
pkglibdir = $(libdir)/mlv
pkglibexecdir = $(libexecdir)/mlv
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = packaging/debian/debian
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/changelog.in $(srcdir)/control.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/m4/ax_prog_doxygen.m4 \
	$(top_srcdir)/config/m4/libtool.m4 \
	$(top_srcdir)/config/m4/ltoptions.m4 \
	$(top_srcdir)/config/m4/ltsugar.m4 \
	$(top_srcdir)/config/m4/ltversion.m4 \
	$(top_srcdir)/config/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/MLV/config.h
CONFIG_CLEAN_FILES = control changelog
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/boussica/mlv-0.6.705/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/boussica/mlv-0.6.705/config/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/boussica/mlv-0.6.705/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/boussica/mlv-0.6.705/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/boussica/mlv-0.6.705/config/missing --run automake-1.11
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -I${top_srcdir} -Wall -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DATA_PATH = ${datadir}/MLV/data
DEFAULT_LANGUAGE = French
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DOXYGEN_PAPER_SIZE = 
DSYMUTIL = 
DUMPBIN = 
DX_CONFIG = doc/Doxyfile
DX_DOCDIR = $(top_builddir)/doc/api
DX_DOT = 
DX_DOXYGEN = /usr/bin/doxygen
DX_DVIPS = 
DX_EGREP = 
DX_ENV =  SRCDIR='.' BUILDDIR='$(top_builddir)' PROJECT='MLV' VERSION='0.6.705' PERL_PATH='/usr/bin/perl' HAVE_DOT='NO' GENERATE_MAN='YES' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
DX_FLAG_chi = 0
DX_FLAG_chm = 0
DX_FLAG_doc = 1
DX_FLAG_dot = 0
DX_FLAG_html = 1
DX_FLAG_man = 1
DX_FLAG_pdf = 0
DX_FLAG_ps = 0
DX_FLAG_rtf = 0
DX_FLAG_xml = 0
DX_HHC = 
DX_LANGUAGE = French English Spanish
DX_LATEX = 
DX_MAKEINDEX = 
DX_PDFLATEX = 
DX_PERL = /usr/bin/perl
DX_PROJECT = MLV
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_LANGUAGE = French
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LANGUAGES = French English Spanish
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAIL_ADRIEN_BOUSSICAULT = adrien.boussicault@labri.fr
MAIL_MARC_ZIPSTEIN = marc.zipstein@univ-mlv.fr
MAKEINFO = ${SHELL} /home/boussica/mlv-0.6.705/config/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MLV_CODEBLOCKS_32_PACKAGE = mlv-0.6.705-code_blocks.zip
MLV_CPPFLAGS = -I${top_srcdir}
MLV_DEBIAN_32_BINARY_PACKAGE = libmlv_0.6.705-1_i386.deb
MLV_DEBIAN_32_DEV_PACKAGE = libmlv-dev_0.6.705-1_i386.deb
MLV_DEBIAN_64_BINARY_PACKAGE = libmlv_0.6.705-1_amd64.deb
MLV_DEBIAN_64_DEV_PACKAGE = libmlv-dev_0.6.705-1_amd64.deb
MLV_DEBIAN_X_BINARY_PACKAGE = libmlv_0.6.705-1_X.deb
MLV_DEBIAN_X_DEV_PACKAGE = libmlv-dev_0.6.705-1_X.deb
MLV_DEVCPP_32_PACKAGE = mlv-0.6.705-dev-cpp.zip
MLV_LIBADD = ${top_builddir}/MLV/libMLV.la
MLV_MACOSX_PACKAGE = mlv-0.6.705_macos-10.5.pkg
MLV_PACKAGE_REPOSITORY = http://www-igm.univ-mlv.fr/~boussica/mlv/depot/mlv-0.6.705
MLV_SOURCE_REPOSITORY = http://www-igm.univ-mlv.fr/~boussica/mlv/depot
MLV_SVN_VERSION = 705
MLV_WIN_32_BINARIES = mlv-0.6.705-win32.zip
MLV_WIN_64_BINARIES = mlv-0.6.705-win64.zip
NM = /usr/bin/nm -B
NMEDIT = 
OBJC = gcc
OBJCDEPMODE = depmode=gcc3
OBJCFLAGS = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = mlv
PACKAGE_BUGREPORT = adrien.boussicault@labri.fr
PACKAGE_NAME = MLV
PACKAGE_STRING = MLV 0.6.705
PACKAGE_TARNAME = mlv
PACKAGE_URL = http://www-igm.univ-mlv.fr/~boussica/mlv/index.html
PACKAGE_VERSION = 0.6.705
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 0.6.705
abs_builddir = /home/boussica/mlv-0.6.705/packaging/debian/debian
abs_srcdir = /home/boussica/mlv-0.6.705/packaging/debian/debian
abs_top_builddir = /home/boussica/mlv-0.6.705
abs_top_srcdir = /home/boussica/mlv-0.6.705
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
ac_ct_OBJC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
doxygendir = $(top_builddir)/doc/api
dvidir = ${docdir}
exec_prefix = ${prefix}
glib_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
glib_LIBS = -lglib-2.0  
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/boussica/mlv-0.6.705/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libsdl_found = 
libsdlgfx_found = yes
libsdlimage_found = yes
libsdlmixer_found = yes
libsdlttf_found = yes
libxml_CFLAGS = -I/usr/include/libxml2  
libxml_LIBS = -lxml2  
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
os_LIBS = 
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sdl_CFLAGS = -D_GNU_SOURCE=1 -D_REENTRANT -I/usr/include/SDL  
sdl_LIBS = -lSDL  
sdlgfx_LIBS = -lSDL_gfx
sdlimage_CFLAGS = 
sdlimage_LIBS = -lSDL_image
sdlmixer_CFLAGS = 
sdlmixer_LIBS = -lSDL_mixer
sdlttf_CFLAGS = 
sdlttf_LIBS = -lSDL_ttf
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../..
EXTRA_DIST = \
	compat \
	copyright \
	dirs \
	docs \
	libmlv.dirs \
	libmlv.install \
	Makefile.am \
	libmlv-dev.dirs \
	libmlv-dev.install \
	README.Debian \
	rules \
	package.compress

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu packaging/debian/debian/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu packaging/debian/debian/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
control: $(top_builddir)/config.status $(srcdir)/control.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
changelog: $(top_builddir)/config.status $(srcdir)/changelog.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

=== debian/changelog ===
mlv (0.6.705-1) unstable; urgency=low

  * API :
    * The sound api has been completly rewritten. 
    * Add an animation API.
    * Add an xml API to read xml file.
    * Add a path API to work with paths.
    * Lots of name uniformisations have been performed.
    * Suppresion of the anglicism evenement in the API. Only headers
      have been modified. MLV_evenement.h become MLV_event.h.
    * Simplification of the family of MLV_draw_adapted_box functions.
  * Examples :
    * Renumbering of the examples ( the numbers contain always 2 digits )
    * Add a new example explaining how to use the transparency in 
      the MLV library.
    * Add the example 07_time.c who explain how to use time functions
    * Add the example 09_full_screen.c who explain how to use the 
      fullscreen mode 
    * Add a new  example 09_library_informations explaining how to 
      get informations about the MLV librairy.
    * Add a new  example 08_zone_click explaining how to use 
      MLV_get_pixel_on_image to perform zone click.
    * Add a new  example 09_animation explaining how to use animation
      framework. ( man MLV_animation.h )
    * Add a new example 10_read_xml_file explaining how to read and use
      xml files.
    * Correction of the display result of the medium demo 6_color.c.
       Now the demo print the alpha composant of the Color.
    * Correction of a bug in the demo program medium/6_color.c. The 
      range of the color component do not arrive to 255 due to floor
      approximations.
  * Documentation :
    * The internet URL present in the file tp5graph.pdf has been
      corrected.
    * A Contact paragraph has been added in the MLV Documentation.
    * An html api of the MLV library has been added in the documentation.
      This api is generated automatically by doxygen.
    * Documetation explaining how to use MLV with Dev-c++ has been wrotten.
    * Documetation explaining how to install the MLV Library on Mac OS X has 
      been wrotten.
    * Documetation explaining how to create installation package for Mac OS X
      has been wrotten.
  * Animation :
    * Add an animation framework.
  * Path :
    * Add a path framework.
  * Xml :
    * Add a xml framework.
  * General :
    * Add MLV_inforations.h who propose some functions giving
      informations about the MLV libray. For example, MLV_version()
      return the version of the library.
    * The header are now compatible with C++ compilers.
      User can now use the library in C++ projects.
  * Image :
    * Correction of transparence bugs in some functions working
      with images.
    * Add the support of several type of image (jpg, png, bmp, ...) 
      Thanks to SDL_image.
      To load that images, developper can use MLV_load_image.
      LV_load_bmp_image is now deprecated, please use 
      MLV_Load_image instead of.
    * When image file doesn't exist or is corrupted, MLV_load_imge doesn't crash
    * Add functions to create image
    * Add functions to save an image on a bmp format
    * Add MLV_get_pixel and MLV_get_pixel_on_image to get color
    * Add MLV_set_pixel_on_image to change a pixel overload an pixel color.
    * Add functions to draw text and figures on image instead of screen.
      information on a particular pixel inside an image.
    * Add functions to obtain a mirror image (horizontal or vertical).
  * Input function (keyboard, mouse and prompt) :
    * Correction of a bug in MLV_wait_mouse - when user clicked on the mouse, 
      nothing happens.
    * Add a new function MLV_wait_keyboard_or_mouse_wait fusionning 
      the MLV_wait_keyboad and the MLV_wait_mouse features.
    * Add a new function MLV_wait_keyboard_or_seconds,
      MLV_wait_mouse_or_seconds and 
      MLV_wait_keyboard_or_mouse_or_seconds, permeting to wait an 
      event a finite time.
    * Correction of a bug in MLV_wait_keyboard, unicode characters 
      were not well supported.
    * Add a new function to help user to convert unicode character to
      caracter encoded in the local character code.
    * Add a new example 9_keyboard_accents to explain how to use the 
      MLV_unicode_to_string function.
    * Now default font and prompt's font are equals.
    * Now the prompt is automatically activated when you are using the
      MLV_wait_prompt function.
    * Add MLV_activate_prompt and MLV_desactivate_prompt functions permitting 
    * Add MLV_get_mouse_button_state, MLV_get_mouse_position and 
      MLV_get_keyboard_state function to have direct access on devices.
    * The name "Prompt" have been changed in "Input_box".
  * Portage :
    * The library can build DLL for windows.
    * A Dev-c++ project has been created to help Dev-c++ user to use MLV
      library.
    * The library function now on MacOs X.
    * The library have installation packages for MacOs X.
  * Sound :
    * Sound has been written from scratch.
  * Text :
    * Bugs of the size evaluation of boxed texts have been removed.
  * Time :
    * Add framerate functions permitting to delay the CPU processor
      and to have a fixed Frame per second.
    * The MLV_wait_event, MLV_wait_keyboard and MLV_wait_mouse
      doesn't take all the cpu processor now.
    * Add a new time function returning the current date
  * Window :
    * Add the fullsScreen mode.
    * Add some functions to obtain and change the size of the window 
      and to activate the fullscreen mode.
    * Add some functions to change the default font.
    * Bugs of the "Error detected by the function unlockPromptInformation()" has been removed.
  * System :
    * Documentation is now compiled only when there is changements.
      Now the make install do not create any file or directory if a make stage 
      has been yet performed.
      That means that ./configure && make && sudo make install; function now
      correctly.
    * The MLV library can be build in different directories (not only the source directory).
  * Developper :


=== debian/control ===
Source: mlv
Priority: extra
Maintainer: Adrien Boussicault <boussica@labri.fr>
Build-Depends: debhelper (>= 7), autotools-dev, doxygen, libsdl-gfx1.2-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev, libglib2.0-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev, libxml2-dev
Standards-Version: 3.8.4
Section: libs
Homepage: http://www-igm.univ-mlv.fr/~boussica/mlv/index.html

Package: libmlv-dev
Section: libdevel
Architecture: any
Depends: libmlv (= ${binary:Version}), libsdl-gfx1.2-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev, libglib2.0-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev, libxml2-dev
Conflicts: libmlv-0.2-dev, libmlv-0.4-dev
Replaces: libmlv-0.2-dev, libmlv-0.4-dev
Description: A simplified multimedia library in C for beginners.
 The mlv library is a simplified multimedia libary.
 The library is perfect for beginners in C programming who
 want to use graphic and sound effects.
 The library permit to:
  - draw figures, text and boxed text,
  - display images,
  - plays musics,
  - get Keyboard and mouse event
  - get informations by prompt
 This tools is a simplified interface of the SDL libraries.
 If you are not a beginner, we recommend you to use the 
 SDL libraries (sdl, sdl-gfx, sdl-mixer,sdl-ttf) instead of
 the mlv library.
 The mlv library can be compiled for Linux, Macintosh 
 and windows.
 This package provide all the developpement infrastructure
 of the mlv library.

Package: libmlv
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsdl-gfx1.2-4, libsdl1.2debian, libsdl-mixer1.2, libsdl-ttf2.0-0, libglib2.0-0, libsdl-mixer1.2, libsdl-image1.2, libxml2
Conflicts: libmlv-0.2, libmlv-0.4
Replaces: libmlv-0.2, libmlv-0.4
Description: A simplified multimedia library in C for beginners.
 The mlv library is a simplified multimedia libary.
 The library is perfect for beginners in C programming who 
 want to use graphic and sound effects.
 The library permit to:
  - draw figures, text and boxed text,
  - display images,
  - plays musics,
  - get Keyboard and mouse event
  - get informations by prompt
 This tools is a simplified interface of the SDL libraries.
 If you are not a beginner, we recommend you to use the 
 SDL libraries (sdl, sdl-gfx, sdl-mixer,sdl-ttf) instead of
 the mlv library.
 The mlv library can be compiled for Linux, Macintosh 
 and windows.
 This package provide the runtime binary needed by the
 execution of program using the mlv library.

=== packaging/debian/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif




# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp
build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp --list-missing
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
#	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mlv 0.6.713-1

=== debian/Makefile ===
--- 
+++ 
@@ -53,13 +53,13 @@
 SOURCES =
 DIST_SOURCES =
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/boussica/mlv-0.6.705/config/missing --run aclocal-1.11
-AMTAR = ${SHELL} /home/boussica/mlv-0.6.705/config/missing --run tar
+ACLOCAL = ${SHELL} /home/boussica/mlv/config/missing --run aclocal-1.11
+AMTAR = ${SHELL} /home/boussica/mlv/config/missing --run tar
 AR = ar
 AS = as
-AUTOCONF = ${SHELL} /home/boussica/mlv-0.6.705/config/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/boussica/mlv-0.6.705/config/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/boussica/mlv-0.6.705/config/missing --run automake-1.11
+AUTOCONF = ${SHELL} /home/boussica/mlv/config/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/boussica/mlv/config/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/boussica/mlv/config/missing --run automake-1.11
 AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -81,7 +81,7 @@
 DX_DOXYGEN = /usr/bin/doxygen
 DX_DVIPS = 
 DX_EGREP = 
-DX_ENV =  SRCDIR='.' BUILDDIR='$(top_builddir)' PROJECT='MLV' VERSION='0.6.705' PERL_PATH='/usr/bin/perl' HAVE_DOT='NO' GENERATE_MAN='YES' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
+DX_ENV =  SRCDIR='.' BUILDDIR='$(top_builddir)' PROJECT='MLV' VERSION='0.6.713' PERL_PATH='/usr/bin/perl' HAVE_DOT='NO' GENERATE_MAN='YES' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
 DX_FLAG_chi = 0
 DX_FLAG_chm = 0
 DX_FLAG_doc = 1
@@ -116,31 +116,38 @@
 LD = /usr/bin/ld
 LDFLAGS = 
 LIBOBJS = 
-LIBS = 
+LIBS = -lm 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
 MAIL_ADRIEN_BOUSSICAULT = adrien.boussicault@labri.fr
 MAIL_MARC_ZIPSTEIN = marc.zipstein@univ-mlv.fr
-MAKEINFO = ${SHELL} /home/boussica/mlv-0.6.705/config/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/boussica/mlv/config/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
-MLV_CODEBLOCKS_32_PACKAGE = mlv-0.6.705-code_blocks.zip
+MLV_CODEBLOCKS_32_PACKAGE = mlv-0.6.713-code_blocks.zip
 MLV_CPPFLAGS = -I${top_srcdir}
-MLV_DEBIAN_32_BINARY_PACKAGE = libmlv_0.6.705-1_i386.deb
-MLV_DEBIAN_32_DEV_PACKAGE = libmlv-dev_0.6.705-1_i386.deb
-MLV_DEBIAN_64_BINARY_PACKAGE = libmlv_0.6.705-1_amd64.deb
-MLV_DEBIAN_64_DEV_PACKAGE = libmlv-dev_0.6.705-1_amd64.deb
-MLV_DEBIAN_X_BINARY_PACKAGE = libmlv_0.6.705-1_X.deb
-MLV_DEBIAN_X_DEV_PACKAGE = libmlv-dev_0.6.705-1_X.deb
-MLV_DEVCPP_32_PACKAGE = mlv-0.6.705-dev-cpp.zip
+MLV_DEBIAN_32_BINARY_PACKAGE = libmlv_0.6.713-1_i386.deb
+MLV_DEBIAN_32_DEV_PACKAGE = libmlv-dev_0.6.713-1_i386.deb
+MLV_DEBIAN_64_BINARY_PACKAGE = libmlv_0.6.713-1_amd64.deb
+MLV_DEBIAN_64_DEV_PACKAGE = libmlv-dev_0.6.713-1_amd64.deb
+MLV_DEBIAN_X_BINARY_PACKAGE = libmlv_0.6.713-1_X.deb
+MLV_DEBIAN_X_DEV_PACKAGE = libmlv-dev_0.6.713-1_X.deb
+MLV_DEVCPP_32_PACKAGE = mlv-0.6.713-dev-cpp.zip
+MLV_FEDORA_32_BINARY_PACKAGE = mlv-0.6.713-0.fc13.i386.rpm
+MLV_FEDORA_32_DEV_PACKAGE = mlv-devel-0.6.713-0.fc13.i386.rpm
+MLV_FEDORA_32_KEY_PACKAGE = RPM-GPG-KEY-Boussicault
+MLV_FEDORA_32_SOURCE_PACKAGE = mlv-0.6.713-0.fc13.src.rpm
+MLV_FEDORA_32_STATIC_PACKAGE = mlv-static-0.6.713-0.fc13.i386.rpm
+MLV_FEDORA_CODE_VERSION = fc13
+MLV_FEDORA_VERSION = 13
 MLV_LIBADD = ${top_builddir}/MLV/libMLV.la
-MLV_MACOSX_PACKAGE = mlv-0.6.705_macos-10.5.pkg
-MLV_PACKAGE_REPOSITORY = http://www-igm.univ-mlv.fr/~boussica/mlv/depot/mlv-0.6.705
+MLV_MACOSX_PACKAGE = mlv-0.6.713_macos-10.5.pkg
+MLV_PACKAGE_REPOSITORY = http://www-igm.univ-mlv.fr/~boussica/mlv/depot/mlv-0.6.713
 MLV_SOURCE_REPOSITORY = http://www-igm.univ-mlv.fr/~boussica/mlv/depot
-MLV_SVN_VERSION = 705
-MLV_WIN_32_BINARIES = mlv-0.6.705-win32.zip
-MLV_WIN_64_BINARIES = mlv-0.6.705-win64.zip
+MLV_SVN_VERSION = 713
+MLV_WIN_32_BINARIES = mlv-0.6.713-win32.zip
+MLV_WIN_64_BINARIES = mlv-0.6.713-win64.zip
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJC = gcc
@@ -153,22 +160,24 @@
 PACKAGE = mlv
 PACKAGE_BUGREPORT = adrien.boussicault@labri.fr
 PACKAGE_NAME = MLV
-PACKAGE_STRING = MLV 0.6.705
+PACKAGE_STRING = MLV 0.6.713
 PACKAGE_TARNAME = mlv
 PACKAGE_URL = http://www-igm.univ-mlv.fr/~boussica/mlv/index.html
-PACKAGE_VERSION = 0.6.705
+PACKAGE_VERSION = 0.6.713
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
+PKG_CONFIG_LIBDIR = 
+PKG_CONFIG_PATH = 
 RANLIB = ranlib
 SED = /bin/sed
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
-VERSION = 0.6.705
-abs_builddir = /home/boussica/mlv-0.6.705/packaging/debian/debian
-abs_srcdir = /home/boussica/mlv-0.6.705/packaging/debian/debian
-abs_top_builddir = /home/boussica/mlv-0.6.705
-abs_top_srcdir = /home/boussica/mlv-0.6.705
+VERSION = 0.6.713
+abs_builddir = /home/boussica/mlv/packaging/debian/debian
+abs_srcdir = /home/boussica/mlv/packaging/debian/debian
+abs_top_builddir = /home/boussica/mlv
+abs_top_srcdir = /home/boussica/mlv
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
 ac_ct_OBJC = gcc
@@ -200,7 +209,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/boussica/mlv-0.6.705/config/install-sh
+install_sh = ${SHELL} /home/boussica/mlv/config/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 libsdl_found = 
@@ -395,23 +404,3 @@
 
 install-info: install-info-am
 
-install-info-am:
-
-install-man:
-
-install-pdf: install-pdf-am
-
-install-pdf-am:
-
-install-ps: install-ps-am
-
-install-ps-am:
-
-installcheck-am:
-
-maintainer-clean: maintainer-clean-am
-	-rm -f Makefile
-maintainer-clean-am: distclean-am maintainer-clean-generic
-
-mostlyclean: mostlyclean-am
-

=== debian/changelog ===
mlv (0.6.713-1) unstable; urgency=low

  * API :
    * The sound api has been completly rewritten. 
    * Add an animation API.
    * Add an xml API to read xml file.
    * Add a path API to work with paths.
    * Lots of name uniformisations have been performed.
    * Suppresion of the anglicism evenement in the API. Only headers
      have been modified. MLV_evenement.h become MLV_event.h.
    * Simplification of the family of MLV_draw_adapted_box functions.
  * Examples :
    * Renumbering of the examples ( the numbers contain always 2 digits )
    * Add a new example explaining how to use the transparency in 
      the MLV library.
    * Add the example 07_time.c who explain how to use time functions
    * Add the example 09_full_screen.c who explain how to use the 
      fullscreen mode 
    * Add a new  example 09_library_informations explaining how to 
      get informations about the MLV librairy.
    * Add a new  example 08_zone_click explaining how to use 
      MLV_get_pixel_on_image to perform zone click.
    * Add a new  example 09_animation explaining how to use animation
      framework. ( man MLV_animation.h )
    * Add a new example 10_read_xml_file explaining how to read and use
      xml files.
    * Correction of the display result of the medium demo 6_color.c.
       Now the demo print the alpha composant of the Color.
    * Correction of a bug in the demo program medium/6_color.c. The 
      range of the color component do not arrive to 255 due to floor
      approximations.
  * Documentation :
    * The internet URL present in the file tp5graph.pdf has been
      corrected.
    * A Contact paragraph has been added in the MLV Documentation.
    * An html api of the MLV library has been added in the documentation.
      This api is generated automatically by doxygen.
    * Documetation explaining how to use MLV with Dev-c++ has been wrotten.
    * Documetation explaining how to install the MLV Library on Mac OS X has 
      been wrotten.
    * Documetation explaining how to create installation package for Mac OS X
      has been wrotten.
  * Animation :
    * Add an animation framework.
  * Path :
    * Add a path framework.
  * Xml :
    * Add a xml framework.
  * General :
    * Add MLV_inforations.h who propose some functions giving
      informations about the MLV libray. For example, MLV_version()
      return the version of the library.
    * The header are now compatible with C++ compilers.
      User can now use the library in C++ projects.
  * Image :
    * Correction of transparence bugs in some functions working
      with images.
    * Add the support of several type of image (jpg, png, bmp, ...) 
      Thanks to SDL_image.
      To load that images, developper can use MLV_load_image.
      LV_load_bmp_image is now deprecated, please use 
      MLV_Load_image instead of.
    * When image file doesn't exist or is corrupted, MLV_load_imge doesn't crash
    * Add functions to create image
    * Add functions to save an image on a bmp format
    * Add MLV_get_pixel and MLV_get_pixel_on_image to get color
    * Add MLV_set_pixel_on_image to change a pixel overload an pixel color.
    * Add functions to draw text and figures on image instead of screen.
      information on a particular pixel inside an image.
    * Add functions to obtain a mirror image (horizontal or vertical).
  * Input function (keyboard, mouse and prompt) :
    * Correction of a bug in MLV_wait_mouse - when user clicked on the mouse, 
      nothing happens.
    * Add a new function MLV_wait_keyboard_or_mouse_wait fusionning 
      the MLV_wait_keyboad and the MLV_wait_mouse features.
    * Add a new function MLV_wait_keyboard_or_seconds,
      MLV_wait_mouse_or_seconds and 
      MLV_wait_keyboard_or_mouse_or_seconds, permeting to wait an 
      event a finite time.
    * Correction of a bug in MLV_wait_keyboard, unicode characters 
      were not well supported.
    * Add a new function to help user to convert unicode character to
      caracter encoded in the local character code.
    * Add a new example 9_keyboard_accents to explain how to use the 
      MLV_unicode_to_string function.
    * Now default font and prompt's font are equals.
    * Now the prompt is automatically activated when you are using the
      MLV_wait_prompt function.
    * Add MLV_activate_prompt and MLV_desactivate_prompt functions permitting 
    * Add MLV_get_mouse_button_state, MLV_get_mouse_position and 
      MLV_get_keyboard_state function to have direct access on devices.
    * The name "Prompt" have been changed in "Input_box".
  * Portage :
    * The library can build DLL for windows.
    * A Dev-c++ project has been created to help Dev-c++ user to use MLV
      library.
    * The library function now on MacOs X.
    * The library have installation packages for MacOs X.
  * Sound :
    * Sound has been written from scratch.
  * Text :
    * Bugs of the size evaluation of boxed texts have been removed.
  * Time :
    * Add framerate functions permitting to delay the CPU processor
      and to have a fixed Frame per second.
    * The MLV_wait_event, MLV_wait_keyboard and MLV_wait_mouse
      doesn't take all the cpu processor now.
    * Add a new time function returning the current date
  * Window :
    * Add the fullsScreen mode.
    * Add some functions to obtain and change the size of the window 
      and to activate the fullscreen mode.
    * Add some functions to change the default font.
    * Bugs of the "Error detected by the function unlockPromptInformation()" has been removed.
  * System :
    * Documentation is now compiled only when there is changements.
      Now the make install do not create any file or directory if a make stage 
      has been yet performed.
      That means that ./configure && make && sudo make install; function now
      correctly.
    * The MLV library can be build in different directories (not only the source directory).
  * Developper :
